BEGIN {
	i = 0;
	seg_size = 10000;
	id = 0;	
	for(i=0; i<=seg_size; i++) {
		sdata[i] = 0;
		rdata[i] = 0;
		ipdata[i] = "";
	}
	print_ip = 1;
}

$1 ~/Probe:/ {
	id++;
}

$0 ~/R.*33449/{
	sdata[id] = 1;
	ipdata[id] = $3;
#	printf "whole: %s %d\n", $3, id
	if(id>seg_size)
                printf "%s\n", $0;
}

$0 ~/R.*33450/{
        rdata[id] = 1;
	if(id>seg_size)
		printf "%s\n", $0;
}

END {
	if(max_id > seg_size)
		printf "max_id: %d, seg_size: %d\n", max_id, seg_size;
	else {
		snum = 0;
		rnum = 0;
		for(i=1; i<=id; i++) {
			snum += sdata[i];
			rnum += rdata[i];
			if(sdata[i] == 1 && rdata[i] == 0 && print_ip == 1)
				printf "%d: %s\n", i, ipdata[i];
		}
		printf "snum: %d, rnum: %d\n", snum, rnum;
		printf "snum: %d, rnum: %d, ratio: %g\n", snum, rnum, rnum/snum;
	}
}
